Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class JUnitLaunchConfigurationDelegate

    java.lang.Object
      org.eclipse.debug.core.model.LaunchConfigurationDelegate
          org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate
              org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate
                  org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate
                      org.eclipse.pde.ui.launcher.JUnitLaunchConfigurationDelegate

All Implemented Interfaces:
  IDebugEventSetListener, ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Deprecated. use `JUnitLaunchConfigurationDelegate` instead.

    public class JUnitLaunchConfigurationDelegate

extends JUnitLaunchConfigurationDelegate

A launch delegate for launching JUnit Plug-in tests.

Since:
  3.3
See Also:
  `JUnitLaunchConfigurationDelegate`

Field Summary

Fields inherited from class org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate
`fConfigDir`

Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

Constructor Summary
`JUnitLaunchConfigurationDelegate()` Deprecated.

Method Summary

Methods inherited from class org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate

`abort, clear, collectExecutionArguments, getApplication, getBuildOrder, getClasspath, getConfigurationDirectory, getEnvironment, getProgramArguments, getProjectsForProblemSearch, getVMArguments, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, manageLaunch, preLaunchCheck, setDefaultSourceLocator, synchronizeManifests, validatePluginDependencies, validateProjectDependencies, verifyMainTypeName`

Methods inherited from class org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate
`evaluateTests, launch`

Methods inherited from class org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate

`getBootpath, getBootpathExt, getBreakpoints, getDefaultWorkingDirectory, getJavaLibraryPath, getJavaProject, getJavaProjectName, getLaunchManager, getMainTypeName, getVMConnectorId, getVMInstall, getVMInstallName, getVMInstallType, getVMInstallTypeId, getWorkingDirectoryPath, handleDebugEvents, isAllowTerminate, isLaunchProblem, isStopInMain, preLaunchCheck, prepareStopInMain, verifyJavaProject, verifyVMInstall, verifyWorkingDirectory`

Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getLaunch, saveBeforeLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitLaunchConfigurationDelegate

    public JUnitLaunchConfigurationDelegate()

  Deprecated.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.